<?php

namespace Drupal\token_default\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\form_ui\Factory\ContentEntityCollectionFactory;

/**
 * Class ContentTypeForm.
 *
 * @package Drupal\section_node\Form
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'token_default.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'token_default_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('token_default.settings');

    $values = [];
    $options = ContentEntityCollectionFactory::getOptions();

    $form['enabled'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Enable token defaults'),
      '#description' => $this->t('Switch on/off the token defaults functionality'),
      '#default_value' => $config->get('enabled'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $config = $this->config('token_default.settings');

    $config->set('enabled', $form_state->getValue('enabled'));

    $config->save();
  }

}
